Subject: GARLIC; was: Phone # of Southern Exposure Seed Exchange

From: [email-masked] (Rob King)
Date: 1 Dec 1994 09:14:20 -0600

[email-masked] (L. Larrabee Strow) wrote:

S>Could someone give me the phone number and/or address of the seed supplier
 >Southern Exposure Seed Exchange.  They are located in Va.  I want to make
 >a quick order for garlic bulbs for winter planting and have misplaced their
 >catalog.

I'm not familiar w/above company... but if it's GARLIC you quest, try
Filaree farm, Rt.2,box 162, Okanogan,WA 98840-9774... or leave message
at 509-422-6940.  Ron Engeland <author of "Growing Great Garlic> runs
the farm, and garlic stuff is all they sell... over 350 varieties..!!.
Good people.

Rob.

---
 * QMPro 1.53 * ------>---->--->-->->> [email-masked] <<-<--<---<-----